Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PropertyBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PropertyBean

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  ControlPropertyBean

    public class PropertyBean

extends java.lang.Object
implements java.lang.Comparable

Version:
  $Revision: 10988 $
Author:
  Julien Viet, Thomas Heute, Boleslaw Dawidowicz

Field Summary
`protected PropertyInfo` | `info` .
`protected boolean` | `inheritable` .
`protected boolean` | `inherited` .
`protected java.lang.String` | `value` .

Constructor Summary
`PropertyBean(PropertyBeanContainer container, PropertyInfo info, boolean inherited, boolean inheritable, java.lang.String value)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`java.lang.Object` | `getValue()`
`boolean` | `isControlProperty()`
`boolean` | `isInheritable()`
`boolean` | `isInherited()`
`boolean` | `isReadOnly()`
`void` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  .

### info

    protected final PropertyInfo info

  .

### inherited

    protected boolean inherited

  .

### inheritable

    protected boolean inheritable

  .

Constructor Detail

### PropertyBean

    public PropertyBean(PropertyBeanContainer container,
                        PropertyInfo info,
                        boolean inherited,
                        boolean inheritable,
                        java.lang.String value)

Method Detail

### isInheritable

    public boolean isInheritable()

### getName

    public java.lang.String getName()

### isReadOnly

    public boolean isReadOnly()

### getDescription

    public java.lang.String getDescription()

### getDisplayName

    public java.lang.String getDisplayName()

### isInherited

    public boolean isInherited()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getType

    public java.lang.String getType()

### isControlProperty

    public boolean isControlProperty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD